function [ weights ] = findweights_MMR(file,n,name,C)

     if exist(file,'file')
        
        data    = cell2mat(struct2cell(load(file,name)));
        r       = data(:,2:end);
        rb      = data(:,1);
        fun     = @(x)-perf_MMR(x,r,rb,C);
        weights = moptimize(fun,0,1,1,20,n);
    else
        weights(1:n) = 0;
    end
    weights(weights<0.00001) = 0;
    
end