function [ weights ] = findweights_Sharpe(file,n,name)
    if exist(file,'file')
%         load(file,'copula_simulated');
%         simulated = copula_simulated(:,2:end);
%         rb        = copula_simulated(:,1);
        
%         for i = 1:n
%             ind(:,1) = rb < quantile(rb,0.1);
%         end
%         simulated = simulated(logical(ind),:);
%         rb        = rb(logical(ind),1);
        
        data      = cell2mat(struct2cell(load(file,name)));
        r         = data(:,2:end);
        rb        = data(:,1);
        fun       = @(x)-perf_Sharpe(x,r,rb);
        weights   = moptimize(fun,0,1,1,20,n);
    else
        weights(1:n) = 0;
    end
    weights(weights<0.00001) = 0;
end