function [ cVaR ] = cVaR(wealth,alpha)
wealth_sorted=sort(wealth);
weights_sorted(1:length(wealth))=1/length(wealth);
weights_sorted=weights_sorted';
cdf=cumsum(weights_sorted);

VaR_index=find(cdf>=alpha,1,'first')-1;  %VaR is VaR_index or VaR_index+1???

cVaR=-(1/alpha)*(sum(wealth_sorted(1:VaR_index).*weights_sorted(1:VaR_index))+(alpha-sum(weights_sorted(1:VaR_index))).*wealth_sorted(VaR_index+1));
end