function [ CoRR ] = perf_MMR(x,r,rb,C)
  
  r_tr = r(rb<C,:); % truncated simulated returns
  
  treshold = 0.0000001;
  
  rp = r*x;
  reward = mean(rp-rb); % unconditional mean
  
  rp_tr = r_tr*x;
  rb_tr = rb(rb<C,1);
  risk = -mean(rp_tr-rb_tr);  
  
  CoRR = reward/max(treshold,risk);

end