function [ sharperatio ] = perf_Sharpe(x,returns,rf)

  s_treshold = 0.000001; %if sigma -> 0 => sharpe -> infinity, thus NaN, s_treshold limits this case, forcing even non-volatile resulst to have some sigma

  rp    = returns*x-rf;
  mu    = mean(rp); 
  sigma = std(rp);   
  
  if sigma < s_treshold 
      sigma = s_treshold; 
  end
  
  sharperatio = mu/sigma;
  
end